SymetryML Documentation
Federated learning

Get federation invitation

Generate an invite that can be sent to a user so that they can join the federation. Functionally identical to `getEncrypted`.

POST
/{user}/fedml/{project}/getInvitation

Generate an invite that can be sent to a user so that they can join the federation. Functionally identical to getEncrypted.

Authorization

SymetryMLAuth
AuthorizationBearer <token>

HMAC-SHA256 signature-based authentication: requests are signed with your secret key and sent with the Customer-ID, Sym-date, Authorization, Content-MD5 and sym-version headers. See SymetryML REST API Security for the signature algorithm and a complete example.

In: header

Path Parameters

user*string

User/Customer identifier

project*string

Project identifier

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*string

Encrypted join configuration — same body as getEncrypted. Base64-encoded content, encrypted with the customer's SML secret key. Select an example below to see its decrypted equivalent. passwd is required — it is used to encrypt the response. fed_rest_host is required and must not contain a path segment other than /. aws_id (AWS account id) is optional and only applies to AWS-type federations. fed_req_token_valid_hours is optional and controls how long the one-time join token stays valid.

Response Body

application/json

application/json

curl -X POST "https://example.com/c1/fedml/nbra_prj_iris/getInvitation" \  -H "Content-Type: application/json" \  -d 'bkUrp+i5uw70XzQ5F4mnJFh7CraEi8152ucGYnaPgpDFrDncUtjA/OmLhRJHyTPvZxLpus0lN/3HSRuQv7xWHg=='

values.encryptedGroupInfo is base64-encoded content, encrypted with the request's passwd (not the customer's SML secret key). Decrypted equivalent of values.encryptedGroupInfo:

{  "fed_inception_utime":"1756408413524",  "sync_sched":"m1",  "fed_name":"fedadmin",  "fed_enforce_hipaa_compliance":"false",  "fed_use_smpc":"false",  "fed_req_token":"FEDTOKENXXXXXXXXXX",  "fed_secret_key":"XXXXXXXXXXXXXXXX",  "fed_rest_url":"http://charm:8080/symetry/rest/c1/fedml/fedadmin/fedtokennats"}
{  "statusCode": 200,  "statusString": "OK",  "values": {    "encryptedGroupInfo": "g/jxzqtA5CkGHw/ZeV2PAzKymJ0oFBHNbT9CvQZ8JGwXNOBb1Xd3yaNMmzYOCzc3rHQn1XsMaMTbHKDuJZjAavTCQtWnt1cTNSFYuzDCfia/tuhzdDtspPT/ABr1VCHMvE4yr7xISfB0DAaQsSNk/UAkl5Q6Fa4c4DgBdDsptM+YZwueA3NbD5OGv/OXjLUKJN+6frqfCvDuFUIT6S+27qJ1AN8jFtc6MTep+3cK8p5agEnKCo1KspNsgbi5HUxBJ2/N+52p1m78vcGuJrXGJz7slSKB1VvuW6z3M2u7wGDXTBXwtJimdLoqRhXIWaZK8xsKmtbru2nxqKej9E+gmzq8+4useVRL+l4ecU+K0LfQwq9zGUteazw322UWWa89JAIqLhgme3nmuP/v50tsF9xqUOBN2DM/YAL6wuhMbAAgjoHRRgxF4ophANhS0w8eE7MzPl9XQxStJVJWy5p4Lz2L0t5EUVUF4RMa68QkCPKheiN4bTmYSAy51ntLVYxW"  }}

{  "statusCode": 500,  "statusString": "Error Invalid project name / or not logged in.",  "values": {}}